import {someTree} from '../../../src/utils/helper';

const options = [
  {
    label: 'A',
    value: 'a'
  },
  {
    label: 'B',
    value: 'b',
    children: [
      {
        label: 'B-1',
        value: 'b-1'
      },
      {
        label: 'B-2',
        value: 'b-2'
      },
      {
        label: 'B-3',
        value: 'b-3',
        children: [
          {
            label: 'B-3-1',
            value: 'B-3-1'
          },
          {
            label: 'B-3-2',
            value: 'B-3-2'
          },
          {
            label: 'B-3-3',
            value: 'B-3-3'
          },
          {
            label: 'x-1',
            value: 'x-1'
          },
          {
            label: 'x-2',
            value: 'x-2'
          },
          {
            label: 'x-3',
            value: 'x-3'
          }
        ]
      }
    ]
  },
  {
    label: 'C',
    value: 'c',
    children: [
      {
        label: 'c-1',
        value: 'c-1'
      },
      {
        label: 'c-2',
        value: 'c-2'
      },
      {
        label: 'c-3',
        value: 'c-3'
      }
    ]
  },
  {
    label: 'D',
    value: 'd',
    children: [
      {
        label: 'D-1',
        value: 'd-1'
      },
      {
        label: 'D-2',
        value: 'd-2'
      },
      {
        label: 'D-3',
        value: 'd-3'
      }
    ]
  },
  {
    label: 'E',
    value: 'e'
  },
  {
    label: 'F',
    value: 'f'
  },
  {
    label: 'G',
    value: 'g'
  },
  {
    label: 'H',
    value: 'h'
  },
  {
    label: 'I',
    value: 'i'
  },
  {
    label: 'J',
    value: 'j'
  },
  {
    label: 'K',
    value: 'k'
  },
  {
    label: 'L',
    value: 'l'
  },
  {
    label: 'M',
    value: 'n'
  }
];
const reg = new RegExp('x', 'i');
const fn = o => reg.test(o['label']) || reg.test(o['value']);

console.log('test', someTree(options, fn));

export default {
  type: 'page',
  title: '表单页面',
  body: {
    type: 'form',
    mode: 'horizontal',
    title: '',
    debug: true,
    api: '/api/mock2/form/saveForm',
    controls: [
      {
        type: 'nested-select',
        name: 'nestedSelect',
        label: '级联选择器',
        searchable: true,
        size: 'lg',
        options
      },
      {
        type: 'nested-select',
        name: 'nestedSelect2',
        label: '级联选择器',
        size: 'sm',
        searchable: true,
        multiple: true,
        options
      },
      {
        type: 'nested-select',
        name: 'nestedSelect2',
        label: 'withchildren级联选择器',
        size: 'sm',
        searchable: true,
        multiple: true,
        withChildren: true,
        options
      }
      // {
      //   type: 'nested-select',
      //   name: 'nestedSelect',
      //   label: '级联选择器',
      //   size: 'sm',
      //   searchable: true,
      //   multiple: true,
      //   options: [
      //     {
      //       label: 'A',
      //       value: 'a'
      //     },
      //     {
      //       label: 'B',
      //       value: 'b',
      //       children: [
      //         {
      //           label: 'B-1',
      //           value: 'b-1'
      //         },
      //         {
      //           label: 'B-2',
      //           value: 'b-2'
      //         },
      //         {
      //           label: 'B-3',
      //           value: 'b-3'
      //         }
      //       ]
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     },
      //     {
      //       label: 'C',
      //       value: 'c'
      //     }
      //   ]
      // }
    ]
  }
};
